Skip to content
GET/api/{version}/metadata/objects/documents/lock
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/metadata/objects/documents/lock
{ "responseStatus": "SUCCESS", "name": "lock", "properties": [ { "name": "locked_by__v", "scope": "Lock", "type": "ObjectReference", "required": true, "systemAttribute": true, "editable": false, "setOnCreateOnly": false, "disabled": false, "objectType": "User", "label": "Locked By", "hidden": false }, { "name": "locked_date__v", "scope": "Lock", "type": "DateTime", "required": true, "systemAttribute": true, "editable": false, "setOnCreateOnly": false, "disabled": false, "objectType": "DateTime", "label": "Locked Date", "hidden": false } ] }
Metadata FieldDescription
nameThe "name" of the field used in the API. These include locked_by__v, locked_date__v, etc.
labelThe "label" of the field used in the UI. These include "Locked By", "Locked Date", etc.
typeThe "type" of field. These include "ObjectReference", "DateTime", etc.
scopeThe "scope" of the field. This value is "Lock" for all fields.
requiredIndicates if the field is required.
systemAttributeBoolean (true/false) field which indicates if the field is a standard (system-managed) field, i.e., not editable by the user.
editableBoolean (true/false) field which indicates if the field can be set or changed by the user, i.e., not system-managed.
setOnCreateOnlyBoolean (true/false) field which indicates if the field can only be set during creation of a new document.
objectTypeWhen the field type is "ObjectReference", this field indicates the object which is being referenced.